Bug 983592 - servlet-api*.jar should not be included in WEB-INF/lib dir as its provided by container
servlet-api*.jar should not be included in WEB-INF/lib dir as its provided by...
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Build and Assembly (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ER2
: 6.0.0
Assigned To: Ryan Zhang
Petr Široký
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-11 10:13 EDT by Petr Široký
Modified: 2014-08-06 16:08 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:08:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Široký 2013-07-11 10:13:18 EDT
Description of problem:
Deployable distribution (bpms-6.0.0.*-deployable.zip) contains servlet-api*.jar in 'business-central.war/WEB-INF/lib' and 'dashbuilder.war/WEB-INF/lib' dirs. The servlet-api is already distributed with servlet container so it should not be packaged in distribution.


Version-Release number of selected component (if applicable):
6.0.0-DR6
Comment 3 Petr Široký 2013-09-11 08:16:06 EDT
Verified fixed in ER2.

Note You need to log in before you can comment on or make changes to this bug.